org.jboss.resteasy.plugins.providers

## Class DataSourceProvider.SequencedDataSource

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.DataSourceProvider.SequencedDataSource

- All Implemented Interfaces:
    DataSource
  Enclosing class:
    DataSourceProvider

      protected static class DataSourceProvider.SequencedDataSource
      extends Object
      implements DataSource

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DataSourceProvider.SequencedDataSource(byte[] byteBuffer, int byteBufferOffset, int byteBufferLength, File tempFile, String type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContentType()`
    `InputStream` | `getInputStream()`
    `String` | `getName()`
    `OutputStream` | `getOutputStream()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceProvider.SequencedDataSource

          protected DataSourceProvider.SequencedDataSource(byte[] byteBuffer,
                                                int byteBufferOffset,
                                                int byteBufferLength,
                                                File tempFile,
                                                String type)

  - ### Method Detail

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `DataSource`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Specified by:
        `getInputStream` in interface `DataSource`
      Throws:
        `IOException`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `DataSource`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Specified by:
        `getOutputStream` in interface `DataSource`
      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.